PHP ��U
前一頁 |  | 下一頁

# domxml_open_mem

(PHP 4 >= 4.2.1, PECL)

domxml_open_mem -- Creates a DOM object of an XML document

## Description

DomDocument domxml_open_mem ( string str [, int mode [, array &error]] )

The function parses the XML document in the given string.

## Parameters

str

  The contents of the XML file.

mode

  This optional parameter can be used to change the behavior of this function.

  You can use one of the following constants for it: `DOMXML_LOAD_PARSING` (default), `DOMXML_LOAD_VALIDATING` or `DOMXML_LOAD_RECOVERING`. You can add to it also `DOMXML_LOAD_DONT_KEEP_BLANKS`, `DOMXML_LOAD_SUBSTITUTE_ENTITIES` and `DOMXML_LOAD_COMPLETE_ATTRS` by bitwise or.

error

  If used, it will contain the error messages. error must be passed in by reference.

## Return Values

Returns a DomDocument instance of the given XML contents.

## �d��

範例 1. Opening an XML document in a string

`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $root = $dom->document_element(); ?>`

## �Ѧ�

domxml_open_file()
domxml_new_doc()

前一頁 | 內容 | 下一頁
domxml_open_file | 上一層 | domxml_version